# $Revision: 1.4 $, $Date: 2008/08/31 19:43:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Carp
%define		pnam	Assert-More
Summary:	Carp::Assert::More - convenience wrappers around Carp::Assert
Name:		perl-Carp-Assert-More
Version:	1.12
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dbd6a0fcbff5f00d2e39b77322036d3f
URL:		http://search.cpan.org/dist/Carp-Assert-More/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Pod-Tests >= 0.18
BuildRequires:	perl-Test-Simple >= 0.40
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Carp::Assert::More is a set of wrappers around the Carp::Assert
functions to make the habit of writing assertions even easier.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Carp/Assert
%{perl_vendorlib}/Carp/Assert/More.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Carp-Assert-More.spec,v $
Revision 1.4  2008/08/31 19:43:44  arekm
- release 3

Revision 1.3  2008/08/09 10:22:30  radek
- release 2: Name .= "-More"

Revision 1.2  2008/08/08 23:23:50  arekm
- include dir

Revision 1.1  2008/08/08 23:22:41  arekm
- initial
